
	/**
		마우스 오른쪽버튼 제한
	*/
	function click() {
		if ((event.button==2) || (event.button==3)) {
			alert('보안상 마우스 오른쪽 버튼은 사용할수 없습니다.');
		}
	}

	//document.onmousedown=click;


	/**
		하단 상태바 문구 지정

	*/
	var status_text = '상태바고정문구';
	function showstatus()
	{
	window.status = status_text;
	timerID= setTimeout('showstatus()', 0);
	}
	//showstatus();


	function window_open(url, target, width, height)
	{
		window.open(url, target, 'toolbar=no,location=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,copyhistory=no,width=' + width + ',height=' + height);
	}	// function


	function window_open_menu(url, target, width, height)
	{
		window.open(url, target, 'toolbar=yes,location=no,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=no,width=' + width + ',height=' + height);
	}	// function


	function flashView(s,w,h,d,t){
			var _wh;
			if (w != '')
				_wh += " width=\""+w+"\" ";
			if (h != '')
				_wh += " height=\""+h+"\" ";

			var _loc = new String(document.location); 
			var _http = 'http';
			if (_loc.indexOf("https://") != -1)
				_http = 'https';

			// [2011-01-10] SSL 지원
			//document.writeln("<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" "+_wh+" id="+d+"><param name=wmode value="+t+" /><param name=movie value="+s+" /><param name=quality value=high /><embed src="+s+" quality=high wmode="+t+" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/shockwave/download/index.cgi?p1_prod_version=shockwaveflash\"  "+_wh+" ></embed></object>");
			document.writeln("<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"" + _http + "://fpdownload.adobe.com/pub/shockwave/cabs/flash/swflash.cab\" "+_wh+" id="+d+"><param name=wmode value="+t+" /><param name=movie value="+s+" /><param name=quality value=high /><embed src="+s+" quality=high wmode="+t+" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.adobe.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash\"  "+_wh+" ></embed></object>");
	}	// function

	function objectView(src){
			document.writeln(src);
	}	// function

	function MM_preloadImages() { //v3.0
		var d=document;
		if(d.images){
			if(!d.MM_p)
				d.MM_p=new Array();
			var i, j=d.MM_p.length, a= MM_preloadImages.arguments;
			for(i=0; i<a.length; i++)
				if (a[i].indexOf("#")!=0){
					d.MM_p[j]=new Image;
					d.MM_p[j++].src=a[i];
				}
		}
	}

	// [2012-10-22] IE 10 fix
	function get_activex_use_support() {
		var isSupported = false;
		try {
			new ActiveXObject('');
		}
		catch (e) {
			if (e.name === 'TypeError' || e.name === 'Error') {
				isSupported = true;
				try {
					isSupported = !!new ActiveXObject("htmlfile");
				} catch (e2) {
					isSupported = false;
				}
			}
		}
		return isSupported;
	}
